com.smartgwt.client.types

## Enum ExportImageFormat

- java.lang.Object
- - java.lang.Enum<ExportImageFormat>
  - - com.smartgwt.client.types.ExportImageFormat

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ExportImageFormat>

      public enum ExportImageFormat
      extends java.lang.Enum<ExportImageFormat>
      implements ValueEnum

  One of the supported formats for image export.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JPEG` Export as JPEG
    `PNG` Export as PNG

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ExportImageFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExportImageFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PNG

          public static final ExportImageFormat PNG

      Export as PNG

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "png".

    - #### JPEG

          public static final ExportImageFormat JPEG

      Export as JPEG

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "jpeg".

  - ### Method Detail

    - #### values

          public static ExportImageFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExportImageFormat c : ExportImageFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExportImageFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`